MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025094Open CASCADE[OCCT] OCCT:Codingpublic2014-07-20 15:092014-11-11 12:53
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.1 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025094: Visualization, Visual3d_View - code clean up
DescriptionCode of Visual3d_View class is bloated with debugging sections, never reached conditions, and obsolete solutions escaped by macros.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
parent of 0024776closedkgv Visualization - inherit OpenGl_View from Graphic3d_CView 

-  Notes
(0030256)
git (administrator)
2014-07-20 17:48

Branch CR25094 has been created by kgv.

SHA-1: c596d0047a1c4ec808af4b06fb4cdddb4a2da32a
(0030257)
kgv (developer)
2014-07-20 17:49

Patch is ready for review in branch CR25094.
(0030281)
san (developer)
2014-07-21 20:54

Branch CR25094 reviewed without remarks, ready for testing.
(0030377)
mkv (tester)
2014-07-23 12:42

Dear BugMaster,

Branch CR25094 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: c596d0047a1c4ec808af4b06fb4cdddb4a2da32a

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)
MacOS: 196 (196 on master)

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 352377408 / 351969036
Total CPU difference: 47487.31000000008 / 46305.26

Testing on Windows:
Total MEMORY difference: 239469424 / 239178976
Total CPU difference: 34705.609375 / 35090.328125

There are no differences in images found by testdiff.
(0030444)
git (administrator)
2014-07-28 16:42

Branch CR25094 has been deleted by inv.

SHA-1: c596d0047a1c4ec808af4b06fb4cdddb4a2da32a

- Related Changesets
occt: master d4f1753b
Timestamp: 2014-07-20 11:04:13
Author: kgv
Committer: bugmaster
Details ] Diff ]
0025094: Visualization, Visual3d_View - code clean up

Remove debug and obsolete code. Apply coding rules.
mod - src/Visual3d/FILES Diff ] File ]
mod - src/Visual3d/Visual3d_View.cdl Diff ] File ]
mod - src/Visual3d/Visual3d_View.cxx Diff ] File ]
rm - src/Visual3d/Visual3d_View.pxx Diff ] File ]
mod - src/Visual3d/Visual3d_ViewManager.cxx Diff ] File ]
rm - src/Visual3d/Visual3d_ViewManager.pxx Diff ] File ]
rm - src/Visual3d/Visual3d_View_Print.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-07-20 15:09 kgv New Issue
2014-07-20 15:09 kgv Assigned To => kgv
2014-07-20 15:09 kgv Relationship added parent of 0024776
2014-07-20 17:48 git Note Added: 0030256
2014-07-20 17:49 kgv Note Added: 0030257
2014-07-20 17:49 kgv Assigned To kgv => san
2014-07-20 17:49 kgv Status new => resolved
2014-07-21 20:54 san Note Added: 0030281
2014-07-21 20:54 san Assigned To san => bugmaster
2014-07-21 20:54 san Status resolved => reviewed
2014-07-22 12:51 mkv Assigned To bugmaster => mkv
2014-07-23 12:42 mkv Note Added: 0030377
2014-07-23 12:43 mkv Test case number => Not needed
2014-07-23 12:43 mkv Assigned To mkv => bugmaster
2014-07-23 12:43 mkv Status reviewed => tested
2014-07-25 14:45 bugmaster Changeset attached => occt master d4f1753b
2014-07-25 14:45 bugmaster Status tested => verified
2014-07-25 14:45 bugmaster Resolution open => fixed
2014-07-28 16:42 git Note Added: 0030444
2014-11-11 12:46 aiv Fixed in Version => 6.8.0
2014-11-11 12:53 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker